> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vogent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Batch Job

> Creates a new batch dial job. You must start the job with the `/paused` endpoint for calls to begin.



## OpenAPI

````yaml post /batch_dial_jobs
openapi: 3.0.3
info:
  title: Vogent - OpenAPI 3.0
  description: Test Description
  version: 1.0.11
servers:
  - url: https://api.vogent.ai/api
security:
  - bearerAuth: []
paths:
  /batch_dial_jobs:
    post:
      summary: Create Batch Job
      description: >-
        Creates a new batch dial job. You must start the job with the `/paused`
        endpoint for calls to begin.
      operationId: createBatchDialJob
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateBatchDialJobInput'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchDialJob'
        '400':
          description: Invalid input
        '422':
          description: Validation exception
components:
  schemas:
    CreateBatchDialJobInput:
      type: object
      properties:
        callAgentId:
          type: string
        maxConcurrentDials:
          type: integer
        name:
          type: string
        fromPhoneNumberIds:
          type: array
          items:
            type: string
          x-go-type-skip-optional-pointer: true
        schedule:
          $ref: '#/components/schemas/WeeklyScheduleInput'
          nullable: true
        rows:
          type: array
          items:
            $ref: '#/components/schemas/BatchDialSpecInput'
      required:
        - callAgentId
        - maxConcurrentDials
        - name
        - rows
    BatchDialJob:
      type: object
      properties:
        id:
          type: string
        maxConcurrentDials:
          type: integer
        name:
          type: string
        status:
          $ref: '#/components/schemas/BatchDialJobStatus'
        fromPhoneNumberIds:
          type: array
          items:
            type: string
          x-go-type-skip-optional-pointer: true
        schedule:
          $ref: '#/components/schemas/WeeklySchedule'
          nullable: true
        callAgentId:
          type: string
        createdAt:
          type: string
          format: date-time
      required:
        - id
        - maxConcurrentDials
        - name
        - status
        - callAgentId
        - createdAt
    WeeklyScheduleInput:
      type: object
      properties:
        days:
          type: array
          items:
            $ref: '#/components/schemas/DayScheduleInput'
          x-go-type-skip-optional-pointer: true
        timezone:
          type: string
        disableSchedule:
          type: boolean
      required:
        - days
        - timezone
    BatchDialSpecInput:
      type: object
      properties:
        toNumber:
          type: string
        inputs:
          type: object
          additionalProperties: {}
          description: Must be a string => string map.
          x-go-type-skip-optional-pointer: true
      required:
        - toNumber
    BatchDialJobStatus:
      type: string
      enum:
        - INIT
        - ACTIVE
        - PAUSED
        - COMPLETE
        - CANCELLED
    WeeklySchedule:
      type: object
      properties:
        days:
          type: array
          items:
            $ref: '#/components/schemas/DaySchedule'
          x-go-type-skip-optional-pointer: true
        timezone:
          type: string
      required:
        - days
        - timezone
    DayScheduleInput:
      type: object
      properties:
        dayOfWeek:
          type: integer
        timeSlots:
          type: array
          items:
            $ref: '#/components/schemas/ScheduleTimeSlotInput'
          x-go-type-skip-optional-pointer: true
      required:
        - dayOfWeek
        - timeSlots
    DaySchedule:
      type: object
      properties:
        dayOfWeek:
          type: integer
        timeSlots:
          type: array
          items:
            $ref: '#/components/schemas/ScheduleTimeSlot'
      required:
        - dayOfWeek
        - timeSlots
    ScheduleTimeSlotInput:
      type: object
      properties:
        startTime:
          type: string
        endTime:
          type: string
      required:
        - startTime
        - endTime
    ScheduleTimeSlot:
      type: object
      properties:
        startTime:
          type: string
        endTime:
          type: string
      required:
        - startTime
        - endTime
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        In the form `Bearer <api_key_here>`. You can find your api key in your
        dashboard.

````